## dde-shell 0.0.40

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

CMAKE_MINIMUM_REQUIRED(VERSION 3.10)

set(DS_VERSION "0.0.34" CACHE STRING "Define project version")
project(DDEShell
    VERSION "${DS_VERSION}"
    DESCRIPTION "dde-shell"
    HOMEPAGE_URL "https://github.com/linuxdeepin/dde-shell"
    LANGUAGES CXX C
)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
option(BUILD_WITH_X11 "Build X11 emulation" ON)

set(DS_BUILD_WITH_QT6 ON CACHE BOOL "Build dde-shell with Qt6")

if (DS_BUILD_WITH_QT6)
    set(QT_VERSION_MAJOR 6)
    set(DTK_VERSION_MAJOR 6)
else()
    set(QT_VERSION_MAJOR 5)
    set(DTK_VERSION_MAJOR "")
endif()

include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

set(LIB_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}" CACHE STRING "Library install path")
set(DDE_SHELL_PACKAGE_INSTALL_DIR ${CMAKE_INSTALL_DATADIR}/dde-shell CACHE STRING "Package install path")
set(DDE_SHELL_PLUGIN_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR}/dde-shell CACHE STRING "Plugin install path")
set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_INCLUDEDIR}/dde-shell" CACHE STRING "Headers install path")
set(CONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/DDEShell" CACHE STRING "CMake config file install directory")
set(QML_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/qt${QT_VERSION_MAJOR}/qml" CACHE STRING "Qml plugin install directory")
set(DDE_SHELL_TRANSLATION_INSTALL_DIR "${CMAKE_INSTALL_DATADIR}/dde-shell" CACHE STRING "Translation install directory")

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake;${CMAKE_MODULE_PATH};${ECM_MODULE_PATH};${PROJECT_SOURCE_DIR}/cmake")
include(DDEShellPackageMacros)

find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core Gui Concurrent Quick WaylandClient DBus LinguistTools)
find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Core Gui)
find_package(WaylandProtocols REQUIRED)
find_package(PkgConfig REQUIRED)

add_subdirectory(frame)
add_subdirectory(shell)
add_subdirectory(example)
add_subdirectory(panels)
add_subdirectory(applets)

configure_package_config_file(
    "${CMAKE_CURRENT_LIST_DIR}/misc/DDEShellConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/DDEShellConfig.cmake"
    INSTALL_DESTINATION "${CONFIG_INSTALL_DIR}"
)
write_basic_package_version_file(
    "${CMAKE_CURRENT_BINARY_DIR}/DDEShellConfigVersion.cmake"
    VERSION ${VERSION}
    COMPATIBILITY SameMajorVersion
)
# Install cmake config file
install(FILES "${PROJECT_SOURCE_DIR}/cmake/DDEShellPackageMacros.cmake" DESTINATION "${CONFIG_INSTALL_DIR}")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/DDEShellConfig.cmake" DESTINATION "${CONFIG_INSTALL_DIR}")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/DDEShellConfigVersion.cmake" DESTINATION "${CONFIG_INSTALL_DIR}")

=== applets/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

add_subdirectory(dde-am)
add_subdirectory(dde-appearance)

=== frame/plugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

set(URI "org.deepin.ds")
add_library(dde-shell-plugin SHARED
    qmlplugin.h
    qmlplugin.cpp
    qmldir
)

target_link_libraries(dde-shell-plugin
PUBLIC
    dde-shell-frame
)

string(REPLACE "." "/" URI_PATH ${URI})
set_target_properties(dde-shell-plugin PROPERTIES
    LIBRARY_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/plugins/${URI_PATH}"
    OUTPUT_NAME dde-shell-plugin
)
set(QML_IMPORT_PATH "${PROJECT_BINARY_DIR}/plugins" CACHE STRING "Qt Creator extra qml import paths")
add_custom_command(TARGET dde-shell-plugin
POST_BUILD
   COMMAND ${CMAKE_COMMAND} -E  copy_if_different "${CMAKE_CURRENT_SOURCE_DIR}/qmldir" "${PROJECT_BINARY_DIR}/plugins/${URI_PATH}"    #out-file
)

install(TARGETS dde-shell-plugin EXPORT DDEShellTargets DESTINATION "${QML_INSTALL_DIR}/${URI_PATH}")
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/qmldir DESTINATION "${QML_INSTALL_DIR}/${URI_PATH}/")

=== panels/dock/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined")

configure_file(environments.h.in environments.h @ONLY)

find_package(PkgConfig REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} COMPONENTS Core DBus Gui Qml WaylandCompositor Widgets)
find_package(DdeTrayLoader REQUIRED)
pkg_check_modules(WaylandClient REQUIRED IMPORTED_TARGET wayland-client)

file(
    GLOB dock_panel_sources
    constants.h
    dockabstractsettingsconfig.h
    dockdbusproxy.cpp
    dockdbusproxy.h
    dockiteminfo.cpp
    dockiteminfo.h
    dockpanel.cpp
    dockpanel.h
    docksettings.cpp
    docksettings.h
    dockhelper.h
    dockhelper.cpp
    waylanddockhelper.h
    waylanddockhelper.cpp
)

# Old dbus interface compatible
qt_add_dbus_adaptor(dock_panel_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/api/old/org.deepin.dde.dock1.xml
    dockdbusproxy.h
    dock::DockDBusProxy
    dockfrontadaptor
    DockFrontAdaptor
)
qt_add_dbus_adaptor(dock_panel_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/api/old/org.deepin.dde.daemon.Dock1.xml
    dockdbusproxy.h
    dock::DockDBusProxy
    dockdaemonadaptor
    DockDaemonAdaptor
)

# dock dbus api
qt_add_dbus_adaptor(dock_panel_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/api/dbus/org.deepin.ds.dock.xml
    dockpanel.h
    dock::DockPanel
    dockadaptor
    DockAdaptor
)

add_library(dockpanel SHARED
    ${dock_panel_sources}
)

target_link_libraries(dockpanel PRIVATE
    PkgConfig::WaylandClient
    dde-shell-frame
)

if (BUILD_WITH_X11)
    target_compile_definitions(dockpanel PRIVATE BUILD_WITH_X11=)
    pkg_check_modules(XCB REQUIRED IMPORTED_TARGET xcb xcb-aux xcb-res xcb-ewmh)
    target_sources(dockpanel PRIVATE
        x11dockhelper.h
        x11dockhelper.cpp
    )

    target_link_libraries(dockpanel PUBLIC
        PkgConfig::XCB
    )
endif(BUILD_WITH_X11)

ds_install_package(PACKAGE org.deepin.ds.dock TARGET dockpanel)
ds_handle_package_translation(PACKAGE org.deepin.ds.dock)

# sub plugins
add_subdirectory(clipboarditem)
add_subdirectory(workspaceitem)
add_subdirectory(searchitem)
add_subdirectory(launcherItem)
add_subdirectory(showdesktop)
add_subdirectory(taskmanager)
add_subdirectory(tray)
add_subdirectory(multitaskview)

# dock qml element(include Dock.xx defines and DockCompositor)
file(
    GLOB plugin_sources
    constants.h
    # dockfilterproxymodel.cpp
    # dockfilterproxymodel.h
    pluginmanagerextension_p.h
    pluginmanagerextension.cpp
    pluginmanagerintegration_p.h
    pluginmanagerintegration.cpp
    dockpositioner.h
    dockpositioner.cpp
)

set_source_files_properties(DockCompositor.qml PROPERTIES
    QT_QML_SINGLETON_TYPE TRUE
)

set_source_files_properties(MenuHelper.qml PROPERTIES
    QT_QML_SINGLETON_TYPE TRUE
)

set_source_files_properties(DockPalette.qml PROPERTIES
    QT_QML_SINGLETON_TYPE TRUE
)

qt_policy(SET QTP0001 OLD)
qt_add_qml_module(dock-plugin
    PLUGIN_TARGET dock-plugin
    URI "org.deepin.ds.dock"
    VERSION "1.0"
    SHARED
    SOURCES ${plugin_sources}
    QML_FILES DockCompositor.qml OverflowContainer.qml MenuHelper.qml DockPalette.qml
    AppletItemButton.qml
    AppletItemBackground.qml
    OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/plugins/org/deepin/ds/dock/
)

qt_generate_wayland_protocol_server_sources(dock-plugin
    FILES
        ${DDE_TRAY_LOADER_PROTOCOL}
)

target_link_libraries(dock-plugin PUBLIC
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::Qml
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::WaylandCompositor
PRIVATE
    PkgConfig::WaylandClient
    Qt${QT_VERSION_MAJOR}::WaylandCompositorPrivate
    dockpanel
)

target_include_directories(dock-plugin
    PUBLIC
    $<TARGET_PROPERTY:dde-shell-frame,INTERFACE_INCLUDE_DIRECTORIES>
)

install(DIRECTORY "${PROJECT_BINARY_DIR}/plugins/org/deepin/ds/dock/" DESTINATION "${QML_INSTALL_DIR}/org/deepin/ds/dock/")
dtk_add_config_meta_files(APPID org.deepin.ds.dock FILES dconfig/org.deepin.ds.dock.json) # compat
dtk_add_config_meta_files(APPID org.deepin.ds.dock FILES dconfig/org.deepin.ds.dock.tray.json) # compat
dtk_add_config_meta_files(APPID org.deepin.dde.shell FILES dconfig/org.deepin.ds.dock.json)
dtk_add_config_meta_files(APPID org.deepin.dde.shell FILES dconfig/org.deepin.ds.dock.tray.json)

=== panels/notification/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

add_library(notificationpanel SHARED
    notificationpanel.cpp
    notificationpanel.h
    notificationinterproxy.cpp
    notificationinterproxy.h
    bubblemodel.cpp
    bubblemodel.h
    test.sh
)

target_link_libraries(notificationpanel PRIVATE
    dde-shell-frame
    Qt${QT_MAJOR_VERSION}::DBus
)

ds_install_package(PACKAGE org.deepin.ds.notification TARGET notificationpanel)
ds_handle_package_translation(PACKAGE org.deepin.ds.notification)

=== panels/dock/clipboarditem/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

add_library(dock-clipboarditem SHARED
    clipboarditem.cpp
    clipboarditem.h
    ../dockiteminfo.cpp
    ../dockiteminfo.h
)

target_include_directories(dock-clipboarditem PRIVATE
    "${CMAKE_CURRENT_BINARY_DIR}/../"
    "../"
)

target_link_libraries(dock-clipboarditem PRIVATE
    dde-shell-frame
)

ds_install_package(PACKAGE org.deepin.ds.dock.clipboarditem TARGET dock-clipboarditem)
ds_handle_package_translation(PACKAGE org.deepin.ds.dock.clipboarditem)

install(FILES "package/icons/clipboard.svg" DESTINATION share/dde-dock/icons/dcc-setting)

=== panels/dock/launcherItem/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

add_library(dock-launcheritem SHARED
    launcheritem.cpp
    launcheritem.h
)

target_link_libraries(dock-launcheritem PRIVATE
    dde-shell-frame
)

ds_install_package(PACKAGE org.deepin.ds.dock.launcheritem TARGET dock-launcheritem)
ds_handle_package_translation(PACKAGE org.deepin.ds.dock.launcheritem)

=== panels/dock/multitaskview/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

add_library(dock-multitaskview SHARED
    multitaskview.cpp
    multitaskview.h
    ../dockiteminfo.cpp
    ../dockiteminfo.h
)

target_include_directories(dock-multitaskview PRIVATE
    "${CMAKE_CURRENT_BINARY_DIR}/../"
    "../"
)

target_link_libraries(dock-multitaskview PRIVATE
    dde-shell-frame
)

ds_install_package(PACKAGE org.deepin.ds.dock.multitaskview TARGET dock-multitaskview)
ds_handle_package_translation(PACKAGE org.deepin.ds.dock.multitaskview)

install(FILES "package/icons/multitasking-view.svg" DESTINATION share/dde-dock/icons/dcc-setting)

=== panels/dock/searchitem/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

add_library(dock-searchitem SHARED
    searchitem.cpp
    searchitem.h
    ../dockiteminfo.cpp
    ../dockiteminfo.h
)

target_include_directories(dock-searchitem PRIVATE
    "${CMAKE_CURRENT_BINARY_DIR}/../"
    "../"
)

target_link_libraries(dock-searchitem PRIVATE
    dde-shell-frame
)

ds_install_package(PACKAGE org.deepin.ds.dock.searchitem TARGET dock-searchitem)
ds_handle_package_translation(PACKAGE org.deepin.ds.dock.searchitem)

install(FILES "package/icons/search.svg" DESTINATION share/dde-dock/icons/dcc-setting)

=== panels/dock/taskmanager/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS DBus WaylandClient)
find_package(yaml-cpp REQUIRED)

set_source_files_properties(
    ${CMAKE_CURRENT_SOURCE_DIR}/api/amdbus/org.desktopspec.ApplicationManager1.Application.xml
    PROPERTIES  INCLUDE api/types/am.h
                CLASSNAME Application
)

set_source_files_properties(
    ${CMAKE_CURRENT_SOURCE_DIR}/api/amdbus/org.desktopspec.ApplicationManager1.xml
    PROPERTIES  INCLUDE api/types/am.h
                CLASSNAME ApplicationManager
)

set_source_files_properties(
    ${CMAKE_CURRENT_SOURCE_DIR}/api/amdbus/org.desktopspec.ObjectManager1.xml
    PROPERTIES  INCLUDE api/types/am.h
                CLASSNAME ObjectManager
)

qt_add_dbus_interfaces(
    DBUS_INTERFACES
    ${CMAKE_CURRENT_SOURCE_DIR}/api/amdbus/org.desktopspec.ApplicationManager1.Application.xml
    ${CMAKE_CURRENT_SOURCE_DIR}/api/amdbus/org.desktopspec.ApplicationManager1.xml
    ${CMAKE_CURRENT_SOURCE_DIR}/api/amdbus/org.desktopspec.ObjectManager1.xml
)

qt_add_dbus_adaptor(DBUS_INTERFACES
    ${CMAKE_CURRENT_SOURCE_DIR}/api/dbus/org.deepin.ds.dock.taskmanager.item.xml
    appitem.h
    dock::AbstractItem
    itemadaptor
    ItemAdaptor
)

qt_add_dbus_adaptor(DBUS_INTERFACES
    ${CMAKE_CURRENT_SOURCE_DIR}/api/dbus/org.deepin.ds.dock.taskmanager.xml
    taskmanager.h
    dock::TaskManager
    taskmanageradaptor
    TaskManagerAdaptor
)

add_library(dock-taskmanager SHARED ${DBUS_INTERFACES}
    abstractwindow.h
    abstractwindowmonitor.h
    abstractitem.h
    abstractitem.cpp
    appitem.cpp
    appitem.h
    itemmodel.cpp
    itemmodel.h
    desktopfileabstractparser.cpp
    desktopfileabstractparser.h
    desktopfileamparser.cpp
    desktopfileamparser.h
    desktopfileparserfactory.h
    taskmanager.cpp
    taskmanager.h
    treelandwindow.cpp
    treelandwindow.h
    treelandwindowmonitor.cpp
    treelandwindowmonitor.h
    taskmanagersettings.cpp
    taskmanagersettings.h
)

qt_generate_wayland_protocol_client_sources(dock-taskmanager
    FILES
        ${CMAKE_CURRENT_SOURCE_DIR}/api/wayland-protocols/treeland-foreign-toplevel-manager-v1.xml
        ${WaylandProtocols_DATADIR}/staging/ext-foreign-toplevel-list/ext-foreign-toplevel-list-v1.xml
)

target_link_libraries(dock-taskmanager PRIVATE
    dde-shell-frame
    Qt${QT_VERSION_MAJOR}::WaylandClientPrivate
    yaml-cpp
    PkgConfig::WaylandClient
)

if (BUILD_WITH_X11)
    target_compile_definitions(dock-taskmanager PRIVATE BUILD_WITH_X11=)
    pkg_check_modules(XCB REQUIRED IMPORTED_TARGET xcb xcb-res xcb-ewmh)
    find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Widget)
    target_sources(dock-taskmanager PRIVATE
        x11preview.h
        x11preview.cpp
        x11preview.qrc
        x11utils.cpp
        x11utils.h
        x11window.cpp
        x11window.h
        x11windowmonitor.cpp
        x11windowmonitor.h
    )

    target_link_libraries(dock-taskmanager PUBLIC
        PkgConfig::XCB
        Qt${QT_VERSION_MAJOR}::Widgets
        Dtk${DTK_VERSION_MAJOR}::Widget
    )
endif(BUILD_WITH_X11)

ds_install_package(PACKAGE org.deepin.ds.dock.taskmanager TARGET dock-taskmanager)
dtk_add_config_meta_files(APPID org.deepin.ds.dock FILES dconfig/org.deepin.ds.dock.taskmanager.json) # compat
dtk_add_config_meta_files(APPID org.deepin.dde.shell FILES dconfig/org.deepin.ds.dock.taskmanager.json)
ds_handle_package_translation(PACKAGE org.deepin.ds.dock.taskmanager)

=== debian/changelog ===
dde-shell (0.0.40) unstable; urgency=medium

  * fix: incorrect height for quickpanel's childplugin(Issue: 10036)
  * fix: incorrect backgroundColor for quickpanel's item (#696)(Issue: 10379)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 14 Aug 2024 14:18:35 +0800

dde-shell (0.0.39) unstable; urgency=medium

  * chore: disable hide force-docked item(Issue: 10371)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 13 Aug 2024 20:43:29 +0800

dde-shell (0.0.38) unstable; urgency=medium

  * chore: move network plugin to pinned area(Issue: 10355)
  * feat: hide search, clipboard and workspace when leftAlignment(Issue: 10363)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 13 Aug 2024 16:04:21 +0800

dde-shell (0.0.37) unstable; urgency=medium

  * fix: temporary revert application name change

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 13 Aug 2024 10:48:37 +0800

dde-shell (0.0.36) unstable; urgency=medium

  * bump version to 0.0.36

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 08 Aug 2024 19:31:54 +0800

dde-shell (0.0.35) unstable; urgency=medium

  * fix: dock covered by fullscreen launchpad(Issue: 10222)
  * fix: drag plugin item cause plugin's event blocked (#663)(Issue: 9819)(Influence: dragging plugin and plugin item display)
  * chore: change the default order of system tray(Issue: 10049)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 08 Aug 2024 15:15:13 +0800

dde-shell (0.0.34) unstable; urgency=medium

  * chore: hide tray plugins by default(Issue: #10049)
  * fix: Modify smart hide to always hide issues(Issue: https://github.com/linuxdeepin/developer-center/issues/10107)
  * fix: Popup can't switch to other by one click(Issue: https://github.com/linuxdeepin/developer-center/issues/10095)
  * fix: mouse position drift(Issue: https://github.com/linuxdeepin/developer-center/issues/9964)
  * fix: dateTime plugin position error
  * fix: popup can't close when click empty area for dock(Issue: https://github.com/linuxdeepin/developer-center/issues/10075)
  * chore: tooltip poupu and panel popup delayed show(Issue: https://github.com/linuxdeepin/developer-center/issues/10119)(Influence: tooltip and panle popup display)
  * fix: dock needs to be on top of the launchpad(Issue: https://github.com/linuxdeepin/developer-center/issues/9996, https://github.com/linuxdeepin/developer-center/issues/9992)
  * fix: PopupWindow position cannot be refreshed(Issue: https://github.com/linuxdeepin/developer-center/issues/10096)
  * fix: Unable to pop up when modifying network pop ups(Issue: https://github.com/linuxdeepin/developer-center/issues/10153)
  * fix: quick panel icon size error(Issue: https://github.com/linuxdeepin/developer-center/issues/9957)
  * fix: adjust border's width for quickpanel(Issue: https://github.com/linuxdeepin/developer-center/issues/9798)
  * fix: adjust ui for stashed(Issue: https://github.com/linuxdeepin/developer-center/issues/9894)
  * fix: Temporarily disable all windows action(Issue: https://github.com/linuxdeepin/developer-center/issues/10172)
  * fix: fullscreen frame follows the dock(Issue: https://github.com/linuxdeepin/developer-center/issues/7188)
  * fix: no tooltip when moving from the volume plugin to the shortcut panel icon (#651)(Influence: shortcut panel tooltip)
  * fix: subMenu can't show
  * fix: The padding and rounded corners of the tooltip are incorrect
  * chore: show bluetooth tray icon by default(Issue: #10049)
  * fix: wrong size(Issue: #10077)
  * fix: dock's frontendWindowRect size is wrong(Issue: https://github.com/linuxdeepin/developer-center/issues/10155)(Influence: frontendWindowRect size)
  * fix: sub menu miss focus(Issue: https://github.com/linuxdeepin/developer-center/issues/10015)
  * fix: adjust radius for stashed

 -- YeShanShan <yeshanshan@deepin.org>  Tue, 06 Aug 2024 15:37:33 +0800

dde-shell (0.0.33) unstable; urgency=medium

  * fix: Update translation (#611)(issue: 9965)
  * fix: adjust ui for dock's applet(Issue: 8633)
  * feat: support active state for quickpanel's item(Issue: 10020)
  * fix: The dock translation is incorrect(Issue: 9947)
  * fix: popup's height isn't enough(Issue: 9702)
  * fix: adjust ui(Issue: 9995, 9894)
  * fix: Plugin should not be dragged into the application tray(Issue: 10048)
  * feat: Add smart hide function(Issue: 9842)
  * chore: modify the order of systray(Issue: 10049)
  * Revert "fix: unable to set visibility of 'Show Desktop' in DCC"(Issue: 10055)

 -- zyz <zhaoyingzhen@uniontech.com>  Wed, 31 Jul 2024 13:53:47 +0800

dde-shell (0.0.32) unstable; urgency=medium

  * fix: unable to set visibility of 'Show Desktop' in DCC(Issue: 9820)

 -- zyz <zhaoyingzhen@uniontech.com>  Fri, 26 Jul 2024 16:11:19 +0800

dde-shell (0.0.31) unstable; urgency=medium

  * bump version to 0.0.31

 -- zyz <zhaoyingzhen@uniontech.com>  Thu, 25 Jul 2024 22:05:46 +0800

dde-shell (0.0.30) unstable; urgency=medium

  * fix: the item of datetime and showdesktop display overlap(Issue: 9696)
  * fix: add margins to extend mouse area for tray item(Issue: 9720)
  * fix: large radius when exist scaling(Issue: 9818)
  * fix: popup can drag(Issue: 9896)
  * fix: workSpace toolTip text error(Issue: 9877)
  * fix: Tray button rotates as a whole(Issue: 9880)
  * fix: Application tray position drift(Issue: 9603)
  * fix: tray container shows blank area when there is only one item(Issue: 9887)
  * fix: Application preview background color overflow(Issue: 9433)
  * fix: Application preview background color overflow(Issue: 9433)
  * fix: the stash container turns into a small ball(Issue: 9830)
  * refact: using Item instead of Popup for PanelPopup(Issue: 9676)

 -- zyz <zhaoyingzhen@uniontech.com>  Wed, 24 Jul 2024 14:27:44 +0800

dde-shell (0.0.29) unstable; urgency=medium

  * fix: can't hide menu when click outside dock
  * feat: add grabMouse for window

 -- Yingzhen zhao <zhaoyingzhen@uniontech.com>  Fri, 19 Jul 2024 17:50:32 +0800



=== debian/control ===
Source: dde-shell
Section: unknown
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper-compat ( =12),
 cmake,
 systemd,
 qt6-base-dev,
 qt6-declarative-dev,
 qt6-base-dev-tools,
 qt6-tools-dev,
 qt6-wayland ( >=6.6),
 qt6-wayland-dev ( >=6.6),
 qt6-wayland-dev-tools,
 qt6-wayland-private-dev,
 wayland-protocols,
 libdtk6gui-dev,
 libdtk6core-bin,
 libdtk6core-dev,
 libdtk6widget-dev,
 libdtkcommon-dev,
 libxcb-ewmh-dev,
 libxcb-res0-dev,
 libxcb-util-dev,
 libxcb-icccm4-dev,
 libxcb1-dev,
 libxtst-dev,
 extra-cmake-modules,
 libqt6svg6,
 libdtk6declarative, qml6-module-qtquick-controls2-styles-chameleon, qt6-declarative-private-dev,
 libyaml-cpp-dev,
 qtbase5-dev, qtbase5-private-dev, qtwayland5-dev-tools, qtwayland5-private-dev, libdtkgui-dev, libdtkwidget-dev, libdtkcore5-bin,
 qt6-l10n-tools, qt6-svg-dev, dde-tray-loader-dev
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: libdde-shell
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dde-tray-loader
Multi-Arch: same
Description: DDE Shell library
 DDE Shell is a plugin system that integrates plugins developed based on this plugin system into DDE.

Package: libdde-shell-dev
Architecture: any
Depends: ${misc:Depends}, libdde-shell( =${binary:Version}),
  qt6-base-dev, libdtk6core-dev
Description: DDE Shell devel library
 DDE Shell is a plugin system that integrates plugins developed based on this plugin system into DDE.

Package: dde-shell
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdde-shell( =${binary:Version}),
  libqt6svg6, qml6-module-qt-labs-platform,
  qml6-module-qtquick-layouts, qml6-module-qtquick-window,
  libdtk6declarative, qml6-module-qtquick-controls2-styles-chameleon,
  qml6-module-qtquick-layouts, qml6-module-qtquick-window,
  qml6-module-qt-labs-platform, qml6-module-qt-labs-qmlmodels,
Multi-Arch: same
Description: An wrapper for developed based on dde-shell plugin system

Package: dde-shell-example
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdde-shell( =${binary:Version}),
  qml6-module-qt-labs-platform
Multi-Arch: same
Description: DDE Shell example
 This package contains some plugins based on dde-shell plugin system.

## dde-shell 1.0.10

=== applets/CMakeLists.txt ===
--- 
+++ 
@@ -4,3 +4,4 @@
 
 add_subdirectory(dde-am)
 add_subdirectory(dde-appearance)
+add_subdirectory(dde-apps)

=== example/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core Gui Quick)

add_subdirectory(applet-example)
add_subdirectory(applet-example-data)
add_subdirectory(containment-example)
add_subdirectory(panel-example)
add_subdirectory(layershell-example)
add_subdirectory(osd-example)
add_subdirectory(drag-example)

=== frame/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0
set(PUBLIC_HEADERS
    dsglobal.h
    dstypes.h
    pluginmetadata.h
    pluginloader.h
    pluginfactory.h
    applet.h
    appletdata.h
    containment.h
    panel.h
    qmlengine.h
    layershell/dlayershellwindow.h
    dsutility.h
)

set(PRIVATE_HEADERS
    private/applet_p.h
    private/containment_p.h
    private/panel_p.h
    private/appletitem_p.h
    private/dsqmlglobal_p.h
    layershell/qwaylandlayershellsurface_p.h
    layershell/qwaylandlayershellintegration_p.h
    quick/dsquickdrag_p.h
)
set(PRIVATE_SOURCES "")
if (BUILD_WITH_X11)
    list(APPEND PRIVATE_HEADERS
        private/utility_x11_p.h
    )
    list(APPEND PRIVATE_SOURCES
        utility_x11.cpp
    )
endif(BUILD_WITH_X11)

add_library(dde-shell-frame SHARED
    ${PUBLIC_HEADERS}
    ${PRIVATE_HEADERS}
    ${PRIVATE_SOURCES}
    appletitem.h
    containmentitem.h
    dstypes.cpp
    appletdata.cpp
    pluginmetadata.cpp
    pluginloader.cpp
    pluginfactory.cpp
    applet.cpp
    containment.cpp
    panel.cpp
    appletitem.cpp
    containmentitem.cpp
    qmlengine.cpp
    appletitemmodel.h
    appletitemmodel.cpp
    dsqmlglobal.cpp
    layershell/dlayershellwindow.cpp
    layershell/qwaylandlayershellsurface.cpp
    layershell/qwaylandlayershellintegration.cpp
    quick/dsquickdrag.cpp
    ddeshell_qml.qrc
    dsutility.cpp
)

qt_generate_wayland_protocol_client_sources(dde-shell-frame FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/layershell/protocol/wlr-layer-shell-unstable-v1.xml
    ${WaylandProtocols_DATADIR}/stable/xdg-shell/xdg-shell.xml
)

set_target_properties(dde-shell-frame PROPERTIES
    VERSION ${CMAKE_PROJECT_VERSION}
    SOVERSION ${CMAKE_PROJECT_VERSION_MAJOR}
    OUTPUT_NAME dde-shell
    EXPORT_NAME Shell
)

target_link_libraries(dde-shell-frame
PUBLIC
    Dtk${DTK_VERSION_MAJOR}::Core
    Dtk${DTK_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::Quick
PRIVATE
    Qt${QT_VERSION_MAJOR}::Concurrent
    Qt${QT_VERSION_MAJOR}::GuiPrivate
    Qt${QT_VERSION_MAJOR}::WaylandClientPrivate
)
target_include_directories(dde-shell-frame INTERFACE
    $<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_LIST_DIR}>
    $<INSTALL_INTERFACE:${INCLUDE_INSTALL_DIR}>
)
target_link_directories(dde-shell-frame INTERFACE
    $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
    $<INSTALL_INTERFACE:${LIB_INSTALL_DIR}>
)

if (BUILD_WITH_X11)
    target_compile_definitions(dde-shell-frame PRIVATE BUILD_WITH_X11)
    pkg_check_modules(XCB REQUIRED IMPORTED_TARGET xcb-ewmh xtst x11)
    target_sources(dde-shell-frame PRIVATE layershell/x11dlayershellemulation.h layershell/x11dlayershellemulation.cpp)
    target_link_libraries(dde-shell-frame PRIVATE PkgConfig::XCB)
endif(BUILD_WITH_X11)

target_compile_definitions(dde-shell-frame
INTERFACE
    DDE_SHELL_PACKAGE_PATH_SUBPATH="dde-shell"
PRIVATE
    DDE_SHELL_QML_INSTALL_DIR="${CMAKE_INSTALL_PREFIX}/${QML_INSTALL_DIR}"
    DDE_SHELL_PLUGIN_INSTALL_DIR="${CMAKE_INSTALL_PREFIX}/${DDE_SHELL_PLUGIN_INSTALL_DIR}"
    DS_LIB
)

install(FILES ${PUBLIC_HEADERS} DESTINATION "${INCLUDE_INSTALL_DIR}")
install(TARGETS dde-shell-frame EXPORT DDEShellTargets DESTINATION "${LIB_INSTALL_DIR}")
install(EXPORT DDEShellTargets NAMESPACE Dde:: FILE DDEShellTargets.cmake DESTINATION "${CONFIG_INSTALL_DIR}")

add_subdirectory(plugin)

=== panels/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

add_subdirectory(osd)
add_subdirectory(dock)
add_subdirectory(notification)

=== shell/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Widgets)
if (NOT DEFINED SYSTEMD_USER_UNIT_DIR)
    find_package(PkgConfig REQUIRED)
    pkg_check_modules(Systemd REQUIRED systemd)
    pkg_get_variable(SYSTEMD_USER_UNIT_DIR systemd systemduserunitdir)
endif()

add_executable(dde-shell
    main.cpp
    appletloader.h
    appletloader.cpp
    shell.h
    shell.cpp
    dde-shell.qrc
    override_dtkdeclarative_qml.qrc
)

target_compile_definitions(dde-shell
PRIVATE
    DS_VERSION=${CMAKE_PROJECT_VERSION}
)

target_link_libraries(dde-shell PRIVATE
    dde-shell-frame
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::Widgets
    Dtk${DTK_VERSION_MAJOR}::Gui
)

configure_file(${CMAKE_SOURCE_DIR}/misc/dde-shell-plugin@.service.in
    ${CMAKE_CURRENT_BINARY_DIR}/dde-shell-plugin@.service
    @ONLY)
configure_file(${CMAKE_SOURCE_DIR}/misc/dde-shell@.service.in
    ${CMAKE_CURRENT_BINARY_DIR}/dde-shell@.service
    @ONLY)

install(TARGETS dde-shell DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dde-shell@.service DESTINATION ${SYSTEMD_USER_UNIT_DIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dde-shell-plugin@.service DESTINATION ${SYSTEMD_USER_UNIT_DIR})
dtk_add_config_meta_files(APPID org.deepin.dde.shell FILES org.deepin.dde.shell.json)

=== applets/dde-apps/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS DBus)
find_package(DDEApplicationManager REQUIRED)
find_package(yaml-cpp REQUIRED)

set_source_files_properties(
    ${DDE_APPLICATION_MANAGER_DBUS_API_DIR}/org.desktopspec.ApplicationManager1.Application.xml
    PROPERTIES  INCLUDE api/types/am.h
                CLASSNAME Application
)

set_source_files_properties(
    ${DDE_APPLICATION_MANAGER_DBUS_API_DIR}/org.desktopspec.ApplicationManager1.xml
    PROPERTIES  INCLUDE api/types/am.h
                CLASSNAME ApplicationManager
)

set_source_files_properties(
    ${DDE_APPLICATION_MANAGER_DBUS_API_DIR}/org.desktopspec.ObjectManager1.xml
    PROPERTIES  INCLUDE api/types/am.h
                CLASSNAME ObjectManager
)

qt_add_dbus_interfaces(
    DBUS_INTERFACES
    ${DDE_APPLICATION_MANAGER_DBUS_API_DIR}/org.desktopspec.ApplicationManager1.Application.xml
    ${DDE_APPLICATION_MANAGER_DBUS_API_DIR}/org.desktopspec.ApplicationManager1.xml
    ${DDE_APPLICATION_MANAGER_DBUS_API_DIR}/org.desktopspec.ObjectManager1.xml
)


add_library(dde-apps SHARED ${DBUS_INTERFACES}
    amappitem.cpp
    amappitem.h
    amappitemmodel.cpp
    amappitemmodel.h
    appgroup.cpp
    appgroup.h
    appgroupmanager.cpp
    appgroupmanager.h
    appitem.cpp
    appitem.h
    appitemmodel.cpp
    appitemmodel.h
    appsapplet.cpp
    appsapplet.h
    appsdockedhelper.cpp
    appsdockedhelper.h
    appslaunchtimes.cpp
    appslaunchtimes.h
    categoryutils.cpp
    categoryutils.h
)

target_link_libraries(dde-apps PRIVATE
    dde-shell-frame
    Qt${QT_VERSION_MAJOR}::Concurrent
    yaml-cpp
)

ds_install_package(PACKAGE org.deepin.ds.dde-apps TARGET dde-apps)
dtk_add_config_meta_files(APPID org.deepin.dde.shell FILES configs/org.deepin.ds.dde-apps.json)

=== example/applet-example/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

ds_install_package(PACKAGE org.deepin.ds.example.applet)

=== panels/dock/CMakeLists.txt ===
--- 
+++ 
@@ -27,6 +27,8 @@
     dockhelper.cpp
     waylanddockhelper.h
     waylanddockhelper.cpp
+    loadtrayplugins.h
+    loadtrayplugins.cpp
 )
 
 # Old dbus interface compatible
@@ -150,6 +152,7 @@
     $<TARGET_PROPERTY:dde-shell-frame,INTERFACE_INCLUDE_DIRECTORIES>
 )
 
+install(TARGETS dock-plugin DESTINATION "${QML_INSTALL_DIR}/org/deepin/ds/dock/")
 install(DIRECTORY "${PROJECT_BINARY_DIR}/plugins/org/deepin/ds/dock/" DESTINATION "${QML_INSTALL_DIR}/org/deepin/ds/dock/")
 dtk_add_config_meta_files(APPID org.deepin.ds.dock FILES dconfig/org.deepin.ds.dock.json) # compat
 dtk_add_config_meta_files(APPID org.deepin.ds.dock FILES dconfig/org.deepin.ds.dock.tray.json) # compat

=== panels/osd/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

add_library(osdpanel SHARED
    osdpanel.cpp
    osdpanel.h
    test.sh
)

target_link_libraries(osdpanel PRIVATE
    dde-shell-frame
    Qt${QT_MAJOR_VERSION}::DBus
)

ds_install_package(PACKAGE org.deepin.ds.osd TARGET osdpanel)

add_subdirectory(default)
add_subdirectory(audio)
add_subdirectory(displaymode)
add_subdirectory(kblayout)
add_subdirectory(brightness)

=== panels/dock/showdesktop/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

add_library(dock-showdesktop SHARED
    showdesktop.cpp
    showdesktop.h
)

target_link_libraries(dock-showdesktop PRIVATE
    dde-shell-frame
)

ds_install_package(PACKAGE org.deepin.ds.dock.showdesktop TARGET dock-showdesktop)
ds_handle_package_translation(PACKAGE org.deepin.ds.dock.showdesktop)

=== panels/dock/taskmanager/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS DBus WaylandClient)
 find_package(yaml-cpp REQUIRED)
+find_package(TreelandProtocols REQUIRED)
 
 set_source_files_properties(
     ${CMAKE_CURRENT_SOURCE_DIR}/api/amdbus/org.desktopspec.ApplicationManager1.Application.xml
@@ -48,6 +49,7 @@
 
 add_library(dock-taskmanager SHARED ${DBUS_INTERFACES}
     abstractwindow.h
+    abstractwindowmonitor.cpp
     abstractwindowmonitor.h
     abstractitem.h
     abstractitem.cpp
@@ -55,6 +57,8 @@
     appitem.h
     itemmodel.cpp
     itemmodel.h
+    rolecombinemodel.cpp
+    rolecombinemodel.h
     desktopfileabstractparser.cpp
     desktopfileabstractparser.h
     desktopfileamparser.cpp
@@ -72,7 +76,7 @@
 
 qt_generate_wayland_protocol_client_sources(dock-taskmanager
     FILES
-        ${CMAKE_CURRENT_SOURCE_DIR}/api/wayland-protocols/treeland-foreign-toplevel-manager-v1.xml
+        ${TREELAND_PROTOCOLS_DATA_DIR}/treeland-foreign-toplevel-manager-v1.xml
         ${WaylandProtocols_DATADIR}/staging/ext-foreign-toplevel-list/ext-foreign-toplevel-list-v1.xml
 )
 
@@ -85,7 +89,7 @@
 
 if (BUILD_WITH_X11)
     target_compile_definitions(dock-taskmanager PRIVATE BUILD_WITH_X11=)
-    pkg_check_modules(XCB REQUIRED IMPORTED_TARGET xcb xcb-res xcb-ewmh)
+    pkg_check_modules(TaskmanagerXcb REQUIRED IMPORTED_TARGET xcb xcb-res xcb-ewmh xcb-icccm)
     find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Widget)
     target_sources(dock-taskmanager PRIVATE
         x11preview.h
@@ -100,7 +104,7 @@
     )
 
     target_link_libraries(dock-taskmanager PUBLIC
-        PkgConfig::XCB
+        PkgConfig::TaskmanagerXcb
         Qt${QT_VERSION_MAJOR}::Widgets
         Dtk${DTK_VERSION_MAJOR}::Widget
     )

=== panels/dock/tray/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

add_subdirectory(quickpanel)

find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Gui Qml)
find_package(Dtk6 REQUIRED COMPONENTS Core Gui)
find_package(DdeTrayLoader REQUIRED)

qt_policy(SET QTP0001 OLD)
qt_add_qml_module(dock-tray
    PLUGIN_TARGET dock-tray
    URI "org.deepin.ds.dock.tray"
    VERSION "1.0"
    SHARED
    SOURCES
        traysortordermodel.cpp
        traysortordermodel.h
        trayitempositionregister.cpp
        trayitempositionregister.h
        trayitempositionmanager.cpp
        trayitempositionmanager.h
        ksortfilterproxymodel.cpp
        ksortfilterproxymodel.h
        kextracolumnsproxymodel.cpp
        kextracolumnsproxymodel.h
        listtotableproxymodel.cpp
        listtotableproxymodel.h
    QML_FILES
        SurfacePopup.qml
        SurfaceSubPopup.qml
        TrayItemSurfacePopup.qml
        ShellSurfaceItemProxy.qml

    OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/plugins/org/deepin/ds/dock/tray/
)

target_link_libraries(dock-tray PUBLIC
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::Qml
    Dtk${DTK_VERSION_MAJOR}::Core
)

add_library(trayitem SHARED
    trayitem.cpp
    trayitem.h
    traysettings.cpp
    traysettings.h
    ../dockiteminfo.cpp
    ../dockiteminfo.h
    ../constants.h
)

target_include_directories(trayitem PUBLIC
    "${CMAKE_CURRENT_BINARY_DIR}/../"
    "../"
)

target_link_libraries(trayitem PRIVATE
    dde-shell-frame
)

ds_install_package(PACKAGE org.deepin.ds.dock.tray TARGET trayitem)
ds_handle_package_translation(PACKAGE org.deepin.ds.dock.tray)

=== debian/changelog ===
dde-shell (1.0.10) unstable; urgency=medium

  * fix: protocol error caused by frequent creation and destruction of WaylandOutput 

 -- tsic404 <liuheng@depein.org>  Wed, 18 Dec 2024 11:35:55 +0800

dde-shell (1.0.9) unstable; urgency=medium

  * fix: WeChat and WXChat are recognized as the same
  * fix: empty icon on task manager in some cases

 -- tsic404 <liuheng@depein.org>  Wed, 04 Dec 2024 15:17:13 +0800

dde-shell (1.0.8) unstable; urgency=medium

  * fix: correct window recognition errors
  * fix: dock with no item inside
  * chore: rename TreeLand to Treeland
  * fix: Some windows cannot be recognized

 -- xionglinlin <xionglinlin@uniontech.com>  Wed, 13 Nov 2024 10:43:01 +0800

dde-shell (1.0.7) unstable; urgency=medium

  * feat: Receive close quick panel requests from plugins

 -- Wu Haotian <wuhaotian@uniontech.com>  Fri, 01 Nov 2024 10:32:33 +0800

dde-shell (1.0.6) unstable; urgency=medium

  * fix: update translations

 -- xionglinlin <xionglinlin@uniontech.com>  Fri, 25 Oct 2024 11:52:49 +0800

dde-shell (1.0.5) unstable; urgency=medium

  * fix: tray is popped up when a plugin's visible changes
  * fix: task isn't hidden when it's in hidden mode
  * feat: add new model for all application
  * feat: use rolecombine model for window identify
  * fix: differ text rendering effect between qml and widget

 -- xionglinlin <xionglinlin@uniontech.com>  Thu, 24 Oct 2024 10:49:24 +0800

dde-shell (1.0.4) unstable; urgency=medium

  * fix: stuck after the crash
  * fix: WorkspaceItem preview image might be incorrect in screen change (#792)
  * fix: plugin not show when not found in dconfig even it can not set visible
  * i18n: Updates for project Deepin Desktop Environment (#743)

 -- Yutao Meng <mengyutao@deepin.org>  Wed, 16 Oct 2024 15:22:02 +0800

dde-shell (1.0.3) unstable; urgency=medium

  * treeland protocols rename.

 -- tsic404 <liuheng@deepin.org>  Tue, 24 Sep 2024 10:00:40 +0800

dde-shell (1.0.2) unstable; urgency=medium

  * fix: the opacity of preview window isn't changed

 -- Wang Fei <wangfei@deepin.org>  Wed, 11 Sep 2024 15:52:16 +0800

dde-shell (1.0.1) unstable; urgency=medium

  * release 1.0.1

 -- xionglinlin <xionglinlin@uniontech.com>  Wed, 04 Sep 2024 17:46:30 +0800

dde-shell (1.0.0) unstable; urgency=medium

  * fix missing hovered state for quickpanel
    (linuxdeepin/developer-center#9799)
  * fix missing hovered background for quickpanel's power button
    (linuxdeepin/developer-center#9803)
  * Modify the taskbar preview close button to a perfect circle
    (linuxdeepin/developer-center#9813)
  * Revert ripple animation for maintain branch

 -- Wang Zichong <wangzichong@deepin.org>  Mon, 02 Sep 2024 16:59:00 +0800

dde-shell (0.0.43) unstable; urgency=medium

  * bump version to 0.0.43

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 29 Aug 2024 10:41:01 +0800

dde-shell (0.0.42) unstable; urgency=medium

  * feat: tooltip and preview call to treeland
  * fix: animation when drag from launchpad to dock

 -- tsic404 <liuheng@deepin.org>  Fri, 23 Aug 2024 16:45:08 +0800

dde-shell (0.0.41) unstable; urgency=medium

  * fix: incorrect animation application when dragging(Issue: 10330)
  * fix: Dock following mouse display error when modifying SmartHide(Issue: 10404)
  * fix: plugin process is pulled up again after crashed(Issue: 10400)
  * fix: modify panel popup shadow offset and color(Issue: 10325)
  * fix: forced exit is invalid(Issue: 10436)
  * fix: searchItem right click response range is too large(Issue: 10294)
  * fix: pupup surface doesn't release(Issue: 10121)
  * chore: adjust iconSize for quickpanel(Issue: 9852)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 21 Aug 2024 17:32:09 +0800

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
  qt6-wayland-dev-tools,
  qt6-wayland-private-dev,
  wayland-protocols,
+ treeland-protocols,
  libdtk6gui-dev,
  libdtk6core-bin,
  libdtk6core-dev,
@@ -31,7 +32,7 @@
  libdtk6declarative, qml6-module-qtquick-controls2-styles-chameleon, qt6-declarative-private-dev,
  libyaml-cpp-dev,
  qtbase5-dev, qtbase5-private-dev, qtwayland5-dev-tools, qtwayland5-private-dev, libdtkgui-dev, libdtkwidget-dev, libdtkcore5-bin,
- qt6-l10n-tools, qt6-svg-dev, dde-tray-loader-dev
+ qt6-l10n-tools, qt6-svg-dev, dde-tray-loader-dev (>= 0.0.11), dde-application-manager-api(>= 1.2.16)
 Standards-Version: 3.9.8
 Homepage: http://www.deepin.org

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DISTRO = $(shell lsb_release -is)
ifeq ($(DISTRO),Deepin)
	ENABLE_DEEPIN_NMQT=ON
else
	ENABLE_DEEPIN_NMQT=OFF
endif

VERSION = $(DEB_VERSION_UPSTREAM)
PACK_VER = $(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$1}')
# Fix: invalid digit "8" in octal constant. e.g.  u008 ==> 008 ==> 8
BUILD_VER = $(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$2}' | sed 's/[^0-9]//g' | awk '{print int($$1)}')

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DDS_VERSION=${PACK_VER} -DENABLE_DEEPIN_NMQT=${ENABLE_DEEPIN_NMQT}
